module DellinInfo
  module API
    class OrderStatus < BaseApi

      config['partial_url'] = 'public/tracker'

      ATTRIBUTES = [:errors, :estimatedDeliveryDate, :state, :giveout, :availableSfRequest, :receive]

      attr_accessor *ATTRIBUTES

      def to_s
        "Отправление из города: #{@receive['city']} в город #{@giveout['city']}\nСтатус: #{@state}\nОжидаемая дата прихода #{@estimatedDeliveryDate}\nТерминал прибытия: #{@giveout['terminal']}"
        
      end

      private
      def initialize(hash_status)
        valid_hash = delete_spase_key(hash_status)

        ATTRIBUTES.each do |attribute|

          self.send(set_attr_method(attribute), valid_hash[attribute.to_s])

        end

      end
      
      
    end
  end
end