module DellinInfo
  module API
    class Reference < BaseApi
      attr_reader :hash, :url

      TYPE = {
        countries: 'public/countries',
        cities:    'public/cities',
        places:    'public/places',
        streets:   'public/streets'
      }




      private
      def initialize(hash)
        @hash = hash['hash']
        @url  = hash['url']
        self
      end
      
      
    end
  end
end
