# Модуль для обработки тела ответа, от ресурса dellin.ru
module DellinInfo
  module API
    module ServiceResponseData

      # Метот для создания одного хэша из сложного хэша, где ключи могут иметь значения в виде хэшей
      def parse_hash_response(response_hash, key_is_hash)
        simple_hash = {}

        response_hash.each_pair do |param, val|
          unless param.to_s == key_is_hash.to_s
            simple_hash[param.to_sym] = val
          else
            val.each_pair { |key, val_oder| simple_hash[key.to_sym] = val_oder  }
          end
        end

        simple_hash
      end 

      def delete_spase_key(hash)
        valid_hash = {}
        hash.each_pair { |key, val| valid_hash[key.strip] = val  }
        valid_hash
            
      end
      
    end
  end
end